const express = require("express");
const Order = require("../controllers/order");
const router = express.Router();

router.post("/neworder", Order.neworder);
router.post("/create",Order.CreateOrder);
router.get("/getall", Order.getall);
router.get("/getallPaid", Order.getallPaid);

router.patch("/updateStatus/:orderNumber", Order.statusChange);
router.get("/trackOrderStatus/:orderNumber", Order.trackOrderStatus);

router.delete("/CancelSelingByUser/:id", Order.CancelSelingByUser);
router.patch("/paymentStatusUpdate/:id", Order.updateStatusPay); 

router.delete('/delete/:id',Order.Delete);




router.get('/GetOrderByID/:id',Order.GetOrderByID);




module.exports = router;  